Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040564
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-04-09 21:042019-05-21 15:16
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisioneed3ff80f388
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040564: MyOpenbravoActionHandler.processWidgets is not using bind-variables

DescriptionThis code is not using bind-params:

          // Remove all instances of the widget instance that is to be removed
          OBQuery<WidgetInstance> widgetInstanceQuery = OBDal.getInstance()
              .createQuery(WidgetInstance.class, "copiedFrom='" + widgetInstance.getId() + "'");
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111074)
hgbot (developer)
2019-04-11 08:44

Repository: erp/devel/pi
Changeset: eed3ff80f38875b145f257910800d4c0142bc9f2
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 11 08:34:29 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/eed3ff80f38875b145f257910800d4c0142bc9f2 [^]

fixed issue 40564: MyOpenbravoActionHandler.processWidgets is not using bind-variables

---
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoActionHandler.java
---
(0111094)
caristu (developer)
2019-04-12 08:25

Reviewed
(0111107)
hgbot (developer)
2019-04-12 09:56

Repository: erp/devel/pi
Changeset: c40147ef32b332931a9578919d2b930162ab4228
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 12 09:55:18 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c40147ef32b332931a9578919d2b930162ab4228 [^]

related to issue 40564: fixed types in query

---
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoActionHandler.java
---
(0111108)
hgbot (developer)
2019-04-12 10:12

Repository: erp/devel/pi
Changeset: f3ff80a1ad208a3b6b79efd515d69f67d4552c45
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Apr 12 10:11:29 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f3ff80a1ad208a3b6b79efd515d69f67d4552c45 [^]

related to issue 40564: minor code improvements

  - Use isEmpty() to check whether the collection is empty or not
  - Use diamond operator
  - Removed useless assignment for "alertListToRemove"
  - Immediately return the result instead of assigning it to the temporary "total" variable

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/AlertActionHandler.java
---
(0111968)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0111974)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0111975)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-09 21:04 shuehner New Issue
2019-04-09 21:04 shuehner Assigned To => platform
2019-04-09 21:04 shuehner Modules => Core
2019-04-09 21:04 shuehner Triggers an Emergency Pack => No
2019-04-09 21:05 shuehner Relationship added blocks 0038136
2019-04-11 08:41 alostale Assigned To platform => alostale
2019-04-11 08:42 alostale Review Assigned To => caristu
2019-04-11 08:44 hgbot Checkin
2019-04-11 08:44 hgbot Note Added: 0111074
2019-04-11 08:44 hgbot Status new => resolved
2019-04-11 08:44 hgbot Resolution open => fixed
2019-04-11 08:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/eed3ff80f38875b145f257910800d4c0142bc9f2 [^]
2019-04-12 08:25 caristu Note Added: 0111094
2019-04-12 08:25 caristu Status resolved => closed
2019-04-12 08:25 caristu Fixed in Version => 3.0PR19Q3
2019-04-12 09:56 hgbot Checkin
2019-04-12 09:56 hgbot Note Added: 0111107
2019-04-12 10:12 hgbot Checkin
2019-04-12 10:12 hgbot Note Added: 0111108
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111968
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111974
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111975


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker